Subject: Re: [PATCH RESEND net-next 1/7] bonding: use ether_addr_equal_unaligned for bond addr compare

From: Ding Tianhong <[email-masked]>
Date: Thu, 2 Jan 2014 18:38:33 +0800

On 2014/1/2 18:26, Ding Tianhong wrote:
> On 2014/1/2 17:14, Julia Lawall wrote:
>> On Thu, 2 Jan 2014, Ding Tianhong wrote:
>>
>>> On 2014/1/2 16:38, Julia Lawall wrote:
>>>> On Thu, 2 Jan 2014, Ding Tianhong wrote:
>>>>
>>>>> On 2014/1/2 15:39, Julia Lawall wrote:
>>>>>> Are the casts needed
>>>>>
>>>>>
>>>>> Yes, otherwise the warming will report:
>>>>>
>>>>> /net-next/drivers/net/bonding/bond_3ad.c:427: warning: passing argument 1 of ‘ether_addr_equal_64bits’ from incompatible pointer type
>>>>
>>>> Is it necessary for this driver to use a different type from everyone 
>>>> else?
>>>>
>>>> julia
>>>>
>>> Did you mean the MAC_ADDRESS_EQUAL is excess?
>>> I did not remove it because the codes no need to be changed more and it looks that didn't take any negative effect.
>>
>> No, I was wondering about the mac_addr type, defined in bond_3ad.h.  Other 
>> code just has the array inlined into the containing structure.
>>
>> julia
>>

I reviewed the struct mac_addr again, and feel that even it looks not comfortable, but
make the lacp struct more meaning for 3ad, what do you think about it, I think no need
to revert them to u8.

Regards
Ding

> 
> Oh, sorry for mismatch.:)
> The code for bond_3ad mode is too old and the use for mac addr is not so comfortable.
> 
> I think I need to send a patch to fix the unusual mac addr and make it more reasonable.
> 
> Thanks for your opinion.
> 
> Regards
> Ding 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
>